import { getCssClasses } from '@magento/pagebuilder/lib/utils';

const getAttribute = (element, attribute, defaultValue = '') => {
    return element && element.getAttribute(attribute) ? element.getAttribute(attribute) : defaultValue;
};

export default (node, props) => {

    const titleStrongElement = node.querySelector('div.block-title strong');
    if (titleStrongElement) {
        titleStrongElement.innerHTML = titleStrongElement.innerHTML
            .replaceAll("&lt;", "<").replaceAll("&gt;", ">");
    }

    const titleElement = node.querySelector('div.block-title');
    const titleHtml = titleElement && titleElement.innerHTML ?
        titleElement.innerHTML : '';

    const imgElement = node.querySelector('div.block-title span.title-image img');
    const containerElement = node.querySelector('div.block-content div.swiper-container');

    let configCarousel = {};
    let enabled = false;
    if (containerElement && containerElement.hasAttribute('data-mage-init')) {
        let mageDataInit = containerElement.getAttribute('data-mage-init');
        try {
            mageDataInit = JSON.parse(mageDataInit);
        } catch (e) {

        }

        if (mageDataInit.hasOwnProperty('Swissup_Highlight/js/carousel')) {
            configCarousel = mageDataInit['Swissup_Highlight/js/carousel'];
            enabled = true;
        }
    }

    return {
        enabled,
        nodeClasses: getCssClasses(node).cssClasses,
        title: {
            html: titleHtml,
            img: {
                src: getAttribute(imgElement, 'src', false),
                width: getAttribute(imgElement, 'width', 276),
                height: getAttribute(imgElement, 'height', 440)
            }
        },
        carousel: configCarousel
    };
}