import gql from 'graphql-tag';


const GET_HIGHLIGHT_PRODUCTS_QUERY = gql`query getHighlightProducts(
        $collectionType: String,
        $pageSize: Int,
        $currentPage: Int,
        $order: String,
        $dir: String
    ) {
    getHighlightProducts(
        collectionType: $collectionType,
        pageSize: $pageSize,
        currentPage: $currentPage,
        order: $order,
        dir: $dir,
    ) {
        total_count
        page_info {
            page_size
            current_page
            total_pages
        }
        items {
            id
            name
            sku
            url_key
            url_suffix
            price {
                regularPrice{
                    amount {
                        value
                        currency
                    }
                }
            }
            small_image {
               url
               label
            }
        }
    }
}`;


export default {
    queries: {
        getHighlightProductsQuery: GET_HIGHLIGHT_PRODUCTS_QUERY
    }
};
